summaryrefslogtreecommitdiff
path: root/src/update-from-egg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/update-from-egg.sh')
-rwxr-xr-xsrc/update-from-egg.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/src/update-from-egg.sh b/src/update-from-egg.sh
new file mode 100755
index 0000000..9be68a9
--- /dev/null
+++ b/src/update-from-egg.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+function die() {
+ echo $*
+ exit 1
+}
+
+if test -z "$EGGDIR"; then
+ echo "Must set EGGDIR"
+ exit 1
+fi
+
+if test -z "$EGGFILES"; then
+ echo "Must set EGGFILES"
+ exit 1
+fi
+
+for FILE in $EGGFILES; do
+ if cmp -s $EGGDIR/$FILE $FILE; then
+ echo "File $FILE is unchanged"
+ else
+ cp $EGGDIR/$FILE $FILE || die "Could not move $EGGDIR/$FILE to $FILE"
+ echo "Updated $FILE"
+ fi
+done